Bug 233390 - archivers/dpkg: Update to 1.19.2
Summary: archivers/dpkg: Update to 1.19.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-21 19:14 UTC by Lorenzo Salvadore
Modified: 2018-12-01 07:49 UTC (History)
2 users (show)

See Also:
ndowens: maintainer-feedback+


Attachments
dpkg update to 1.19.2 (29.97 KB, patch)
2018-11-21 19:14 UTC, Lorenzo Salvadore
ndowens: maintainer-approval-
Details | Diff
dpkg update to 1.19.2, corrected (7.98 KB, patch)
2018-11-22 10:03 UTC, Lorenzo Salvadore
ndowens: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2018-11-21 19:14:02 UTC
Created attachment 199434 [details]
dpkg update to 1.19.2

- Updates to 1.19.2. A changelog can be found in ${WRKSRC}/ChangeLog.

- Sorts pkg-plist alphabetically.

- Moves DPKGDIR definition after the options block. According to the porter's handbook, https://www.freebsd.org/doc/en/books/porters-handbook/porting-order.html , only standard bsd.port.mk variables come before the options block, while all non-standard variables come between the options block and the targets block.

Tested successfully with portlint and poudriere (11.2-RELEASE i386/amd64).
Comment 1 Nathan 2018-11-21 20:19:07 UTC
Comment on attachment 199434 [details]
dpkg update to 1.19.2

Nothing is to go after OPTIONS according to Mat except the target blocks. I knew of the update but been waiting to give the dpkg a bit before updating in case there is any bugs. Also plist seems to be out of order as it’s sorted by dir/filename not OPTION tag
Comment 2 Lorenzo Salvadore 2018-11-22 10:03:55 UTC
Created attachment 199445 [details]
dpkg update to 1.19.2, corrected

Here is the patch corrected. The variables order is the one you originally choosed and the ordering in pkg-plist is the one give by make makeplist.
Comment 3 Nathan 2018-11-22 17:23:28 UTC
Built fine on 12; 12-386 and 13-current amd64 and also 13-arm64
Comment 4 Kurt Jaeger freebsd_committer 2018-12-01 07:29:31 UTC
testbuilds@work
Comment 5 commit-hook freebsd_committer 2018-12-01 07:47:46 UTC
A commit references this bug:

Author: pi
Date: Sat Dec  1 07:47:07 UTC 2018
New revision: 486324
URL: https://svnweb.freebsd.org/changeset/ports/486324

Log:
  archivers/dpkg: update 1.19.0.5 -> 1.19.2

  PR:		233390
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch>
  Approved by:	Nathan <ndowens@yahoo.com> (maintainer)
  Relnotes:	https://lists.debian.org/debian-dpkg/2018/10/msg00002.html

Changes:
  head/archivers/dpkg/Makefile
  head/archivers/dpkg/distinfo
  head/archivers/dpkg/pkg-descr
  head/archivers/dpkg/pkg-plist
Comment 6 Kurt Jaeger freebsd_committer 2018-12-01 07:49:43 UTC
committed, thanks!